package com.caimei.model.vo;

import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author Aslee
 */
@Data
public class DisplayOrderProductVo {

    /**
     * 商品Id
     */
    private String productId;

    /**
     * 商品名称
     */
    private String productName;

    /**
     * 供应商名称
     */
    private String shopName;

    /**
     * 商品图片
     */
    private String image;

    /**
     * 机构价
     */
    private BigDecimal price;

    /**
     * 规格
     */
    private String unit;

    /**
     * 商品数量
     */
    private Integer productNum;

    /**
     * 后台设置该商品税率
     */
    private BigDecimal taxRate;

    /**
     * 已发货数量
     */
    private Integer shipmentsNum;

    /**
     * 已退货数量
     */
    private Integer returnedNum;

    /**
     * 已取消发货数量
     */
    private Integer actualCancelNum;

    /**
     * 商品前台展示单价是否含税，1不含税，2含税，3其他
     */
    private String includedTaxFlag;
}
