package com.caimei.model.vo;

import com.caimei.model.po.ProductDetailInfoPo;
import com.caimei.model.po.ProductImagePo;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2021/3/23
 */
@Data
public class ProductDetailVo {

    /**
     * 商品Id
     */
    private String productId;

    /**
     * 商品名称
     */
    private String productName;

    /**
     * 供应商名称
     */
    private String shopName;

    /**
     * 商品图片
     */
    private String image;

    /**
     * 机构价
     */
    private BigDecimal price;

    /**
     * 规格
     */
    private String unit;

    /**
     * 起订量
     */
    private Integer minBuyNumber;

    /**
     * 启用阶梯价格标识 0否 1是
     */
    private Integer ladderPriceFlag;

    /**
     * 阶梯价格集合
     */
    private List<LadderPriceVo> ladderPriceList;

    /**
     * 品牌名称
     */
    private String brandName;

    /**
     * 商品所有图片，以,隔开
     */
    private String images;

    /**
     * 商品详情
     */
    private String detailInfo;

    /**
     * 商品详情介绍
     */
    private String detailInfoText;
}
