package com.caimei.service;

import com.caimei.model.ResponseJson;

import java.security.NoSuchAlgorithmException;
import java.security.spec.InvalidKeySpecException;
import java.util.Map;

/**
 * @author Aslee
 */
public interface OrderService {
    /**
     * 订单提交
     *
     * @param cmAccount
     * @param data
     * @return
     */
    ResponseJson orderSubmit(String cmAccount, String data);

    /**
     * 订单详情
     * @param cmAccount
     * @param data
     * @return
     */
    ResponseJson<Map<String,Object>> orderDetail(String cmAccount, String data);

    /**
     * 取消订单
     * @param cmAccount
     * @param data
     * @return
     */
    ResponseJson orderCancel(String cmAccount, String data);

    /**
     * 测试通知回调
     * @param cmAccount
     * @param data
     * @return
     */
    ResponseJson payCallBack(String cmAccount, String data);
}
