package com.caimei.model.po;


import lombok.Data;

/**
 * 采美接口对接组织管理
 * @author Aslee
 * @date  2021-06-08
 */
@Data
public class CmApiOrganizePo {
	/**
	 * 组织id
	 */
	private Integer organizeId;
	/**
	 * 用户id
	 */
	private Integer userId;
	/**
	 * 采美账户
	 */
	private String cmAccount;
	/**
	 * 公钥
	 */
	private String publicKey;
	/**
	 * 组织私钥
	 */
	private String privateKey;
	/**
	 * 支付完成回调接口
	 */
	private String notifyUrl;
}