package com.caimei.model.po;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * order_product_ladder_price
 * @author 
 */
@Data
public class OrderProductLadderPricePo implements Serializable {
    private Integer id;

    /**
     * 订单商品Id
     */
    private Integer orderProductId;

    /**
     * 第几阶梯
     */
    private Integer ladderNum;

    /**
     * 购买数量
     */
    private Integer buyNum;

    /**
     * 购买价格
     */
    private BigDecimal buyPrice;

    /**
     * 创建时间
     */
    private Date createDate;

    /**
     * 更新时间
     */
    private Date updateDate;

    private static final long serialVersionUID = 1L;
}