package com.caimei.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * address
 *
 * @author
 */
@Data
public class AddressInfoVo {

  /**
   * 收货人
   */
  @ApiModelProperty("收货人")
  private String receiveMan;

  /**
   * 地址
   */
  @ApiModelProperty("地址")
  private String addressDetail;

  /**
   * 手机
   */
  @ApiModelProperty("手机")
  private String mobile;


  /**
   * 区名称
   */
  private String townName;

  /**
   * 市名称
   */
  private String cityName;

  /**
   * 县名称
   */
  private String provinceName;

  private static final long serialVersionUID = 1L;
}