package com.caimei.model.vo;

import com.caimei.model.po.CmOrderProductPo;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * Description
 *
 * @author : plf
 * @date : 2020\3\19 0019
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class OrderProductVo extends CmOrderProductPo {
    /**
     * 已发货数量
     */
    private Integer shipmentsNum;

    /**
     * 已退货数量
     */
    private Integer returnedNum;

    /**
     * 已取消发货数量
     */
    private Integer actualCancelNum;

    /**
     * 内部商品名称
     */
    private String aliasName;

    /**
     * 商品的类别：1正常商品(默认)，2二手商品
     */
    private String productCategory;

    /**
     * 二手商品分类，1二手仪器，2临期产品，3其他
     */
    private String secondHandType;

    /**
     * 商品前台展示单价是否含税，1不含税，2含税，3其他
     */
    private String includedTaxFlag;
    /**
     * api组织商品id
     */
    private Integer apiOrganizeProductId;
}
